# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX BUFSIZ
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
 /* stod - convert Fortran program from single-precision to double-precision */
#include <ctype.h>
#undef output				/* so we get our private version */
void	convert_declaration();
void	convert_number();
void	cvtstr();
void	output();
void	outstr();
#undef ECHO
#define ECHO	outstr(yytext)
					/* increase two lex table sizes */
				    /* digits with optional embedded blanks */
					/* decimal digit */
					/* floating-point exponent */
					/* optional whitespace */
					/* number */
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
		ECHO;
break;
case 2:
		{	/* handle tabbed continuation */
				    outstr("     ");
				    output(yytext[1]);
				}
break;
case 3:
case 4:
			outstr("      ");
break;
case 5:
	convert_declaration();
break;
case 6:
case 7:
convert_declaration();
break;
case 8:
	convert_declaration();
break;
case 9:
case 10:
convert_declaration();
break;
case 11:
		ECHO;
break;
case 12:
ECHO;
break;
case 13:
	ECHO;
break;
case 14:
case 15:
case 16:
case 17:
case 18:
case 19:
case 20:
case 21:
case 22:
case 23:
case 24:
case 25:
		ECHO;
break;
case 26:
case 27:
case 28:
		convert_number() ;
break;
case 29:
		cvtstr("idint");
break;
case 30:
		cvtstr("idint");
break;
case 31:
		cvtstr("idnint");
break;
case 32:
		cvtstr("dble");
break;
case 33:
		cvtstr("dint");
break;
case 34:
		cvtstr("dlog");
break;
case 35:
		cvtstr("dlog10");
break;
case 36:
		cvtstr("dmax0");
break;
case 37:
		cvtstr("dmax1");
break;
case 38:
		cvtstr("dmin0");
break;
case 39:
		cvtstr("dmin1");
break;
case 40:
		cvtstr("dmod");
break;
case 41:
		cvtstr("dnint");
break;
case 42:
		cvtstr("dabs");
break;
case 43:
		cvtstr("dacos");
break;
case 44:
		cvtstr("dasin");
break;
case 45:
		cvtstr("datan");
break;
case 46:
		cvtstr("datan2");
break;
case 47:
		cvtstr("dcos");
break;
case 48:
		cvtstr("dcosh");
break;
case 49:
		cvtstr("ddim");
break;
case 50:
		cvtstr("dexp");
break;
case 51:
		cvtstr("dfloat");
break;
case 52:
		cvtstr("drand");
break;
case 53:
		cvtstr("dsign");
break;
case 54:
		cvtstr("dsin");
break;
case 55:
		cvtstr("dsinh");
break;
case 56:
		cvtstr("dsqrt");
break;
case 57:
		cvtstr("dtan");
break;
case 58:
		cvtstr("dtanh");
break;
case 59:
case 60:
case 61:
case 62:
			ECHO;
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */
void
convert_declaration()
{
    char *p;

    for (p = yytext; *p && isspace(*p); ++p)
	output(*p);
    if (*p == 'i')
	outstr("implicit ");
    else if (*p == 'I')
	outstr("IMPLICIT ");
    outstr(islower(*p) ? "double precision" : "DOUBLE PRECISION");
}

void
convert_number()
{
    char *p;
    int exponent_seen = 0;

    for (p = yytext; *p; ++p)
    {
	if ((*p == 'E') || (*p == 'e'))
	{
	    exponent_seen++;
	    *p += 'd' - 'e';
	}
	else if ((*p == 'D') || (*p == 'd'))
	    exponent_seen++;
    }
    ECHO;
    if (!exponent_seen)
	outstr("D+00");
}

void
cvtstr(s)			/* output possibly case-converted string */
char *s;
{
    if (islower(yytext[0]))
	outstr(s);
    else
    {
	for ( ; *s ; ++s)
	    output(islower(*s) ? toupper(*s) : *s);
    }
}

void
output(c)		/* private output() routine to handle line wrapping */
int c;
{
    static int    last_column = 0;

    switch (c)
    {
    case '\n':
	last_column = 0;
	break;

    default:
	last_column++;
	break;
    }
    if ((last_column > 72) && (c != '\n'))
    {
	printf("\n     X");		/* all output happens here */
	last_column = 7;
    }
    putchar(c);				/* and here only */
}

void
outstr(s)				/* output string with line wrapping */
char *s;
{
    for ( ; *s ; ++s)
	output(*s);
}
int yyvstop[] = {
0,

62,
0,

61,
0,

62,
0,

60,
62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

62,
0,

4,
62,
0,

62,
0,

62,
-1,
0,

62,
-1,
0,

62,
0,

62,
0,

27,
0,

26,
0,

60,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

3,
0,

2,
0,

-1,
0,

1,
0,

59,
-1,
0,

59,
-1,
0,

59,
-1,
0,

59,
0,

59,
0,

26,
27,
0,

28,
0,

42,
59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

47,
59,
0,

49,
59,
0,

50,
59,
0,

59,
0,

59,
0,

30,
59,
0,

59,
0,

59,
0,

59,
0,

54,
59,
0,

59,
0,

59,
0,

57,
59,
0,

-1,
0,

-1,
0,

47,
59,
-1,
0,

59,
0,

59,
0,

27,
0,

22,
0,

18,
0,

19,
0,

20,
0,

21,
0,

24,
0,

17,
0,

28,
0,

26,
0,

13,
0,

43,
59,
0,

33,
59,
0,

34,
59,
0,

59,
0,

59,
0,

40,
59,
0,

59,
0,

44,
59,
0,

45,
59,
0,

48,
59,
0,

59,
0,

29,
59,
0,

31,
59,
0,

52,
59,
0,

53,
59,
0,

55,
59,
0,

32,
59,
0,

56,
59,
0,

58,
59,
0,

-1,
0,

13,
-1,
0,

48,
59,
-1,
0,

59,
0,

59,
-7,
0,

15,
0,

23,
0,

25,
0,

14,
0,

16,
0,

26,
27,
0,

59,
0,

36,
59,
0,

37,
59,
0,

38,
59,
0,

39,
59,
0,

41,
59,
0,

46,
59,
0,

51,
59,
0,

-7,
0,

-1,
0,

59,
0,

7,
0,

7,
59,
0,

12,
0,

35,
59,
0,

11,
0,

11,
0,

11,
0,

11,
0,

59,
0,

6,
0,

5,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
0,

59,
-10,
0,

-10,
0,

10,
0,

10,
59,
0,

9,
0,

8,
0,
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,3,	1,4,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
2,18,	0,0,	0,0,	0,0,	
0,0,	1,3,	0,0,	0,0,	
0,0,	0,0,	0,0,	61,61,	
66,124,	0,0,	0,0,	1,3,	
1,3,	92,97,	95,151,	1,5,	
97,97,	1,6,	1,6,	2,19,	
124,175,	19,61,	79,135,	80,136,	
81,137,	82,138,	85,142,	92,98,	
95,98,	2,20,	126,177,	126,177,	
131,181,	2,5,	1,7,	1,8,	
1,9,	1,10,	1,11,	1,12,	
1,8,	1,8,	1,13,	1,8,	
19,66,	1,8,	1,8,	1,14,	
1,8,	1,8,	1,8,	1,15,	
1,16,	1,17,	2,21,	1,8,	
25,77,	1,8,	26,78,	132,182,	
2,22,	134,183,	78,133,	30,85,	
140,184,	27,79,	141,185,	28,81,	
83,139,	2,23,	5,24,	5,24,	
5,24,	5,24,	5,24,	5,24,	
5,24,	5,24,	5,24,	5,24,	
27,80,	31,86,	28,82,	64,122,	
65,123,	19,64,	29,83,	5,25,	
25,77,	77,132,	26,78,	5,26,	
84,141,	5,27,	19,65,	30,85,	
29,84,	27,79,	5,28,	28,81,	
5,29,	5,30,	78,134,	83,140,	
6,32,	86,143,	122,173,	123,174,	
143,186,	144,187,	5,31,	149,190,	
27,80,	31,86,	28,82,	64,122,	
65,123,	19,64,	29,83,	5,25,	
153,193,	77,132,	152,191,	5,26,	
84,141,	5,27,	19,65,	6,33,	
29,84,	175,204,	5,28,	181,181,	
5,29,	5,30,	78,134,	83,140,	
152,192,	86,143,	122,173,	123,174,	
125,125,	6,34,	5,31,	6,35,	
6,35,	6,35,	6,35,	6,35,	
6,35,	6,35,	6,35,	6,35,	
6,35,	187,187,	173,202,	174,203,	
125,176,	125,176,	189,210,	190,190,	
6,36,	6,36,	6,36,	6,37,	
6,37,	6,36,	6,36,	6,36,	
6,36,	6,36,	6,36,	6,36,	
6,36,	6,36,	6,36,	6,38,	
6,36,	6,36,	6,36,	6,36,	
6,36,	6,36,	6,36,	6,36,	
6,36,	6,36,	173,202,	174,203,	
191,191,	193,193,	210,210,	211,221,	
6,36,	6,36,	6,36,	6,37,	
6,37,	6,36,	6,36,	6,36,	
6,36,	6,36,	6,36,	6,36,	
6,36,	6,36,	6,36,	6,38,	
6,36,	6,36,	6,36,	6,36,	
6,36,	6,36,	6,36,	6,36,	
6,36,	6,36,	7,39,	7,39,	
7,39,	7,39,	7,39,	7,39,	
7,39,	7,39,	7,39,	7,39,	
208,219,	202,213,	213,222,	215,61,	
208,220,	221,221,	222,224,	7,40,	
7,41,	7,42,	7,40,	7,40,	
7,40,	7,40,	7,40,	7,43,	
7,40,	7,40,	7,44,	7,45,	
7,46,	7,40,	7,40,	7,40,	
7,40,	7,47,	7,48,	7,40,	
7,40,	7,40,	7,40,	7,40,	
7,40,	202,213,	213,222,	224,226,	
228,230,	230,232,	222,224,	7,40,	
7,41,	7,42,	7,40,	7,40,	
7,40,	7,40,	7,40,	7,43,	
7,40,	7,40,	7,44,	7,45,	
7,46,	7,40,	7,40,	7,40,	
7,40,	7,47,	7,48,	7,40,	
7,40,	7,40,	7,40,	7,40,	
7,40,	8,40,	8,40,	224,226,	
228,230,	230,232,	32,32,	0,0,	
8,40,	232,234,	0,0,	8,40,	
8,40,	8,40,	9,40,	9,40,	
74,74,	0,0,	8,40,	8,40,	
177,205,	9,40,	0,0,	0,0,	
9,40,	9,40,	9,40,	9,49,	
0,0,	32,32,	0,0,	9,40,	
9,40,	8,40,	8,40,	0,0,	
177,177,	177,177,	176,125,	74,74,	
8,40,	232,234,	0,0,	8,40,	
8,40,	8,40,	9,40,	9,40,	
0,0,	0,0,	8,40,	8,40,	
176,126,	9,40,	176,176,	176,176,	
9,40,	9,40,	9,40,	9,49,	
10,40,	10,40,	0,0,	9,40,	
9,40,	32,87,	32,87,	10,50,	
0,0,	0,0,	10,40,	10,40,	
10,40,	11,40,	11,40,	74,76,	
74,76,	10,40,	10,40,	0,0,	
11,40,	0,0,	236,238,	11,40,	
11,40,	11,40,	236,239,	0,0,	
0,0,	0,0,	11,40,	11,40,	
10,40,	10,40,	0,0,	11,51,	
0,0,	32,87,	32,87,	10,50,	
0,0,	0,0,	10,40,	10,40,	
10,40,	11,40,	11,40,	74,76,	
74,76,	10,40,	10,40,	226,226,	
11,40,	0,0,	0,0,	11,40,	
11,40,	11,40,	12,40,	12,40,	
0,0,	0,0,	11,40,	11,40,	
0,0,	12,40,	205,205,	11,51,	
12,52,	12,40,	12,40,	0,0,	
0,0,	0,0,	226,226,	12,40,	
12,40,	13,40,	13,40,	0,0,	
0,0,	13,53,	205,177,	205,177,	
13,40,	0,0,	0,0,	13,40,	
13,40,	13,54,	12,40,	12,40,	
0,0,	0,0,	13,40,	13,40,	
0,0,	12,40,	0,0,	0,0,	
12,52,	12,40,	12,40,	0,0,	
0,0,	0,0,	0,0,	12,40,	
12,40,	13,40,	13,40,	0,0,	
0,0,	13,53,	89,89,	0,0,	
13,40,	0,0,	0,0,	13,40,	
13,40,	13,54,	14,40,	14,40,	
226,228,	0,0,	13,40,	13,40,	
0,0,	14,55,	0,0,	0,0,	
14,40,	14,40,	14,40,	0,0,	
0,0,	89,89,	0,0,	14,40,	
14,40,	36,92,	36,92,	36,92,	
36,92,	36,92,	36,92,	36,92,	
36,92,	36,92,	36,92,	0,0,	
0,0,	0,0,	14,40,	14,40,	
226,228,	0,0,	0,0,	0,0,	
0,0,	14,55,	0,0,	0,0,	
14,40,	14,40,	14,40,	15,56,	
15,40,	15,40,	0,0,	14,40,	
14,40,	89,91,	89,91,	15,40,	
0,0,	0,0,	15,40,	15,40,	
15,40,	0,0,	37,93,	0,0,	
37,93,	15,40,	15,40,	37,94,	
37,94,	37,94,	37,94,	37,94,	
37,94,	37,94,	37,94,	37,94,	
37,94,	0,0,	0,0,	15,56,	
15,40,	15,40,	0,0,	0,0,	
0,0,	89,91,	89,91,	15,40,	
0,0,	0,0,	15,40,	15,40,	
15,40,	16,40,	16,40,	0,0,	
0,0,	15,40,	15,40,	0,0,	
16,57,	0,0,	0,0,	16,40,	
16,40,	16,58,	0,0,	76,130,	
16,59,	76,130,	16,40,	16,40,	
76,131,	76,131,	76,131,	76,131,	
76,131,	76,131,	76,131,	76,131,	
76,131,	76,131,	0,0,	0,0,	
0,0,	16,40,	16,40,	18,61,	
0,0,	0,0,	0,0,	0,0,	
16,57,	0,0,	0,0,	16,40,	
16,40,	16,58,	90,145,	0,0,	
16,59,	0,0,	16,40,	16,40,	
17,60,	17,40,	17,40,	0,0,	
0,0,	0,0,	18,61,	0,0,	
17,40,	0,0,	0,0,	17,40,	
17,40,	17,40,	0,0,	0,0,	
0,0,	90,146,	17,40,	17,40,	
0,0,	0,0,	18,62,	18,63,	
18,63,	18,63,	18,63,	18,63,	
18,63,	18,63,	18,63,	18,63,	
17,60,	17,40,	17,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
17,40,	0,0,	0,0,	17,40,	
17,40,	17,40,	0,0,	18,64,	
0,0,	20,67,	17,40,	17,40,	
0,0,	90,147,	90,147,	0,0,	
18,65,	20,67,	20,68,	87,144,	
87,144,	87,144,	87,144,	87,144,	
87,144,	87,144,	87,144,	87,144,	
87,144,	88,88,	88,88,	88,88,	
88,88,	88,88,	88,88,	88,88,	
88,88,	88,88,	88,88,	18,64,	
20,67,	0,0,	0,0,	0,0,	
0,0,	90,147,	90,147,	0,0,	
18,65,	0,0,	20,67,	20,67,	
0,0,	91,148,	0,0,	91,148,	
20,67,	20,67,	91,149,	91,149,	
91,149,	91,149,	91,149,	91,149,	
91,149,	91,149,	91,149,	91,149,	
0,0,	0,0,	0,0,	0,0,	
0,0,	20,67,	20,67,	20,67,	
20,67,	20,67,	20,67,	20,67,	
20,67,	20,67,	20,67,	0,0,	
20,67,	20,67,	20,67,	20,67,	
20,67,	20,67,	20,67,	20,67,	
20,67,	0,0,	20,67,	0,0,	
20,67,	21,69,	21,69,	93,144,	
93,144,	93,144,	93,144,	93,144,	
93,144,	93,144,	93,144,	93,144,	
93,144,	0,0,	0,0,	0,0,	
0,0,	145,145,	21,70,	21,70,	
21,70,	21,70,	21,70,	21,70,	
21,70,	21,70,	21,70,	21,70,	
146,145,	21,70,	21,70,	21,70,	
21,71,	21,70,	21,70,	21,70,	
21,70,	21,70,	0,0,	21,70,	
145,145,	21,70,	22,40,	22,40,	
0,0,	0,0,	22,53,	94,150,	
0,0,	22,40,	0,0,	146,146,	
22,40,	22,72,	22,54,	0,0,	
0,0,	0,0,	0,0,	22,40,	
22,40,	94,98,	0,0,	94,94,	
94,94,	94,94,	94,94,	94,94,	
94,94,	94,94,	94,94,	94,94,	
94,94,	0,0,	22,40,	22,40,	
145,147,	145,147,	22,53,	0,0,	
0,0,	22,40,	0,0,	0,0,	
22,40,	22,72,	22,54,	146,147,	
146,147,	0,0,	0,0,	22,40,	
22,40,	23,56,	23,40,	23,40,	
0,0,	23,73,	0,0,	0,0,	
0,0,	23,40,	0,0,	0,0,	
23,40,	23,40,	23,40,	24,74,	
145,147,	145,147,	0,0,	23,40,	
23,40,	0,0,	0,0,	0,0,	
0,0,	33,32,	0,0,	146,147,	
146,147,	0,0,	0,0,	0,0,	
0,0,	23,56,	23,40,	23,40,	
0,0,	23,73,	24,75,	0,0,	
0,0,	23,40,	0,0,	0,0,	
23,40,	23,40,	23,40,	0,0,	
33,33,	0,0,	0,0,	23,40,	
23,40,	34,89,	24,24,	24,24,	
24,24,	24,24,	24,24,	24,24,	
24,24,	24,24,	24,24,	24,24,	
33,88,	33,88,	33,88,	33,88,	
33,88,	33,88,	33,88,	33,88,	
33,88,	33,88,	24,76,	24,76,	
34,89,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
33,87,	33,87,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
34,90,	34,90,	34,90,	34,90,	
34,90,	34,90,	34,90,	34,90,	
34,90,	34,90,	0,0,	0,0,	
0,0,	0,0,	24,76,	24,76,	
0,0,	0,0,	0,0,	0,0,	
34,91,	34,91,	0,0,	0,0,	
33,87,	33,87,	96,152,	96,152,	
96,152,	96,152,	96,152,	96,152,	
96,152,	96,152,	96,152,	96,152,	
0,0,	38,95,	38,95,	38,95,	
38,95,	38,95,	38,95,	38,95,	
38,95,	38,95,	38,95,	0,0,	
0,0,	0,0,	0,0,	0,0,	
34,91,	34,91,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
38,96,	38,96,	38,96,	38,96,	
39,97,	0,0,	0,0,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	40,40,	40,40,	40,40,	
40,40,	0,0,	39,98,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	40,40,	40,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
40,40,	0,0,	0,0,	40,40,	
40,40,	40,40,	39,40,	39,40,	
0,0,	0,0,	40,40,	40,40,	
0,0,	39,40,	0,0,	0,0,	
39,40,	39,40,	39,40,	0,0,	
0,0,	0,0,	0,0,	39,40,	
39,40,	40,40,	40,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
40,40,	0,0,	0,0,	40,40,	
40,40,	40,40,	39,40,	39,40,	
0,0,	0,0,	40,40,	40,40,	
0,0,	39,40,	0,0,	0,0,	
39,40,	39,40,	39,40,	0,0,	
0,0,	0,0,	0,0,	39,40,	
39,40,	41,40,	41,40,	41,40,	
41,40,	41,40,	41,40,	41,40,	
41,40,	41,40,	41,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	41,40,	
41,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	41,40,	0,0,	
0,0,	41,40,	41,40,	41,40,	
0,0,	0,0,	0,0,	0,0,	
41,99,	41,40,	98,153,	98,153,	
98,153,	98,153,	98,153,	98,153,	
98,153,	98,153,	98,153,	98,153,	
0,0,	0,0,	0,0,	41,40,	
41,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	41,40,	0,0,	
0,0,	41,40,	41,40,	41,40,	
0,0,	0,0,	0,0,	0,0,	
41,99,	41,40,	42,40,	42,40,	
42,40,	42,40,	42,40,	42,40,	
42,40,	42,40,	42,40,	42,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
42,40,	42,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	42,40,	
0,0,	0,0,	42,40,	42,40,	
42,40,	42,100,	0,0,	0,0,	
0,0,	42,40,	42,40,	130,131,	
130,131,	130,131,	130,131,	130,131,	
130,131,	130,131,	130,131,	130,131,	
130,131,	0,0,	0,0,	0,0,	
42,40,	42,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	42,40,	
0,0,	0,0,	42,40,	42,40,	
42,40,	42,100,	0,0,	0,0,	
0,0,	42,40,	42,40,	43,40,	
43,40,	43,40,	43,40,	43,40,	
43,40,	43,40,	43,40,	43,40,	
43,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	43,40,	43,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
43,40,	0,0,	0,0,	43,40,	
43,40,	43,101,	0,0,	147,188,	
0,0,	147,188,	43,40,	43,40,	
147,189,	147,189,	147,189,	147,189,	
147,189,	147,189,	147,189,	147,189,	
147,189,	147,189,	0,0,	0,0,	
0,0,	43,40,	43,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
43,40,	0,0,	0,0,	43,40,	
43,40,	43,101,	0,0,	0,0,	
0,0,	0,0,	43,40,	43,40,	
44,40,	44,40,	44,40,	44,40,	
44,40,	44,40,	44,40,	44,40,	
44,40,	44,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	44,40,	44,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	44,40,	0,0,	0,0,	
44,40,	44,40,	44,40,	44,102,	
0,0,	0,0,	0,0,	44,40,	
44,40,	148,149,	148,149,	148,149,	
148,149,	148,149,	148,149,	148,149,	
148,149,	148,149,	148,149,	0,0,	
0,0,	0,0,	44,40,	44,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	44,40,	0,0,	0,0,	
44,40,	44,40,	44,40,	44,102,	
0,0,	0,0,	0,0,	44,40,	
44,40,	45,40,	45,40,	45,40,	
45,40,	45,40,	45,40,	45,40,	
45,40,	45,40,	45,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	45,103,	45,40,	
45,40,	0,0,	150,150,	0,0,	
0,0,	0,0,	45,104,	0,0,	
0,0,	45,40,	45,40,	45,40,	
45,105,	0,0,	0,0,	0,0,	
45,40,	45,40,	150,94,	150,94,	
150,94,	150,94,	150,94,	150,94,	
150,94,	150,94,	150,94,	150,94,	
0,0,	0,0,	45,103,	45,40,	
45,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	45,104,	0,0,	
0,0,	45,40,	45,40,	45,40,	
45,105,	0,0,	0,0,	0,0,	
45,40,	45,40,	46,40,	46,40,	
46,40,	46,40,	46,40,	46,40,	
46,40,	46,40,	46,40,	46,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
46,40,	46,40,	0,0,	151,151,	
0,0,	0,0,	0,0,	46,106,	
0,0,	0,0,	46,40,	46,40,	
46,40,	0,0,	0,0,	0,0,	
0,0,	46,40,	46,40,	151,95,	
151,95,	151,95,	151,95,	151,95,	
151,95,	151,95,	151,95,	151,95,	
151,95,	0,0,	0,0,	0,0,	
46,40,	46,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	46,106,	
0,0,	0,0,	46,40,	46,40,	
46,40,	0,0,	0,0,	0,0,	
0,0,	46,40,	46,40,	47,40,	
47,40,	47,40,	47,40,	47,40,	
47,40,	47,40,	47,40,	47,40,	
47,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	47,40,	47,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
47,107,	0,0,	0,0,	47,40,	
47,40,	47,40,	0,0,	0,0,	
0,0,	0,0,	47,40,	47,40,	
188,189,	188,189,	188,189,	188,189,	
188,189,	188,189,	188,189,	188,189,	
188,189,	188,189,	0,0,	0,0,	
0,0,	47,40,	47,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
47,107,	0,0,	0,0,	47,40,	
47,40,	47,40,	0,0,	0,0,	
0,0,	0,0,	47,40,	47,40,	
48,40,	48,40,	48,40,	48,40,	
48,40,	48,40,	48,40,	48,40,	
48,40,	48,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	48,108,	48,40,	48,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	48,40,	0,0,	0,0,	
48,40,	48,40,	48,40,	0,0,	
0,0,	0,0,	0,0,	48,40,	
48,40,	192,211,	192,211,	192,211,	
192,211,	192,211,	192,211,	192,211,	
192,211,	192,211,	192,211,	0,0,	
0,0,	48,108,	48,40,	48,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	48,40,	0,0,	0,0,	
48,40,	48,40,	48,40,	0,0,	
0,0,	0,0,	0,0,	48,40,	
48,40,	49,40,	49,40,	49,40,	
49,40,	49,40,	49,40,	49,40,	
49,40,	49,40,	49,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	49,40,	
49,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	49,40,	0,0,	
0,0,	49,40,	49,40,	49,40,	
0,0,	0,0,	0,0,	0,0,	
49,109,	49,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	49,40,	
49,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	49,40,	0,0,	
0,0,	49,40,	49,40,	49,40,	
0,0,	0,0,	0,0,	0,0,	
49,109,	49,40,	50,40,	50,40,	
50,40,	50,40,	50,40,	50,40,	
50,40,	50,40,	50,40,	50,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
50,40,	50,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	50,40,	
0,0,	0,0,	50,40,	50,110,	
50,40,	0,0,	0,0,	0,0,	
0,0,	50,40,	50,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
50,40,	50,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	50,40,	
0,0,	0,0,	50,40,	50,110,	
50,40,	0,0,	0,0,	0,0,	
0,0,	50,40,	50,40,	51,40,	
51,40,	51,40,	51,40,	51,40,	
51,40,	51,40,	51,40,	51,40,	
51,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	51,40,	51,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
51,40,	0,0,	0,0,	51,40,	
51,40,	51,40,	0,0,	51,111,	
0,0,	0,0,	51,40,	51,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	51,40,	51,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
51,40,	0,0,	0,0,	51,40,	
51,40,	51,40,	0,0,	51,111,	
0,0,	0,0,	51,40,	51,40,	
52,40,	52,40,	52,40,	52,40,	
52,40,	52,40,	52,40,	52,40,	
52,40,	52,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	52,40,	52,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	52,40,	0,0,	0,0,	
52,40,	52,40,	52,40,	52,112,	
0,0,	0,0,	0,0,	52,40,	
52,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	52,40,	52,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	52,40,	0,0,	0,0,	
52,40,	52,40,	52,40,	52,112,	
0,0,	0,0,	0,0,	52,40,	
52,40,	53,40,	53,40,	53,40,	
53,40,	53,40,	53,40,	53,40,	
53,40,	53,40,	53,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	53,40,	
53,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	53,113,	0,0,	
0,0,	53,40,	53,40,	53,40,	
0,0,	0,0,	0,0,	0,0,	
53,40,	53,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	53,40,	
53,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	53,113,	0,0,	
0,0,	53,40,	53,40,	53,40,	
0,0,	0,0,	0,0,	0,0,	
53,40,	53,40,	54,40,	54,40,	
54,40,	54,40,	54,40,	54,40,	
54,40,	54,40,	54,40,	54,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
54,40,	54,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	54,40,	
0,0,	0,0,	54,40,	54,40,	
54,40,	0,0,	0,0,	0,0,	
0,0,	54,40,	54,114,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
54,40,	54,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	54,40,	
0,0,	0,0,	54,40,	54,40,	
54,40,	0,0,	0,0,	0,0,	
0,0,	54,40,	54,114,	55,40,	
55,40,	55,40,	55,40,	55,40,	
55,40,	55,40,	55,40,	55,40,	
55,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	55,40,	55,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
55,40,	0,0,	0,0,	55,40,	
55,40,	55,115,	0,0,	0,0,	
0,0,	0,0,	55,40,	55,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	55,40,	55,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
55,40,	0,0,	0,0,	55,40,	
55,40,	55,115,	0,0,	0,0,	
0,0,	0,0,	55,40,	55,40,	
56,40,	56,40,	56,40,	56,40,	
56,40,	56,40,	56,40,	56,40,	
56,40,	56,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	56,40,	56,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	56,40,	0,0,	0,0,	
56,40,	56,40,	56,116,	0,0,	
0,0,	0,0,	0,0,	56,40,	
56,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	56,40,	56,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	56,40,	0,0,	0,0,	
56,40,	56,40,	56,116,	0,0,	
0,0,	0,0,	0,0,	56,40,	
56,40,	57,40,	57,40,	57,40,	
57,40,	57,40,	57,40,	57,40,	
57,40,	57,40,	57,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	57,40,	
57,40,	0,0,	0,0,	0,0,	
57,117,	0,0,	57,40,	0,0,	
0,0,	57,40,	57,40,	57,118,	
0,0,	0,0,	0,0,	0,0,	
57,40,	57,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	57,40,	
57,40,	0,0,	0,0,	0,0,	
57,117,	0,0,	57,40,	0,0,	
0,0,	57,40,	57,40,	57,118,	
0,0,	0,0,	0,0,	0,0,	
57,40,	57,40,	58,40,	58,40,	
58,40,	58,40,	58,40,	58,40,	
58,40,	58,40,	58,40,	58,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
58,40,	58,40,	0,0,	0,0,	
0,0,	58,119,	0,0,	58,40,	
0,0,	0,0,	58,40,	58,40,	
58,40,	0,0,	0,0,	0,0,	
0,0,	58,40,	58,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
58,40,	58,40,	0,0,	0,0,	
0,0,	58,119,	0,0,	58,40,	
0,0,	0,0,	58,40,	58,40,	
58,40,	0,0,	0,0,	0,0,	
0,0,	58,40,	58,40,	59,40,	
59,40,	59,40,	59,40,	59,40,	
59,40,	59,40,	59,40,	59,40,	
59,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	59,40,	59,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
59,40,	0,0,	0,0,	59,40,	
59,40,	59,40,	0,0,	0,0,	
0,0,	59,120,	59,40,	59,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	59,40,	59,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
59,40,	0,0,	0,0,	59,40,	
59,40,	59,40,	0,0,	0,0,	
0,0,	59,120,	59,40,	59,40,	
60,40,	60,40,	60,40,	60,40,	
60,40,	60,40,	60,40,	60,40,	
60,40,	60,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	60,40,	60,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	60,40,	0,0,	0,0,	
60,40,	60,40,	60,121,	0,0,	
0,0,	0,0,	0,0,	60,40,	
60,40,	0,0,	69,125,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	60,40,	60,40,	
69,126,	0,0,	69,69,	69,69,	
0,0,	60,40,	0,0,	0,0,	
60,40,	60,40,	60,121,	0,0,	
0,0,	0,0,	0,0,	60,40,	
60,40,	0,0,	0,0,	69,70,	
69,70,	69,70,	69,70,	69,70,	
69,70,	69,70,	69,70,	69,70,	
69,70,	0,0,	69,70,	69,70,	
69,70,	69,70,	69,70,	69,70,	
69,70,	69,70,	69,70,	0,0,	
69,70,	0,0,	69,70,	70,70,	
70,70,	0,0,	0,0,	0,0,	
0,0,	233,235,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	233,235,	233,235,	0,0,	
70,70,	70,70,	70,70,	70,70,	
70,70,	70,70,	70,70,	70,70,	
70,70,	70,70,	0,0,	70,70,	
70,70,	70,70,	70,70,	70,70,	
70,70,	70,70,	70,70,	70,70,	
233,235,	70,70,	0,0,	70,70,	
71,70,	71,70,	0,0,	0,0,	
0,0,	0,0,	233,236,	233,235,	
0,0,	0,0,	0,0,	0,0,	
233,237,	233,237,	0,0,	0,0,	
0,0,	71,70,	71,70,	71,70,	
71,70,	71,70,	71,70,	71,70,	
71,70,	71,70,	71,70,	0,0,	
71,70,	71,70,	71,70,	71,70,	
71,70,	71,70,	71,70,	71,127,	
71,70,	0,0,	71,70,	0,0,	
71,70,	72,40,	72,40,	72,40,	
72,40,	72,40,	72,40,	72,40,	
72,40,	72,40,	72,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	72,40,	
72,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	72,40,	0,0,	
0,0,	72,40,	72,40,	72,40,	
0,0,	72,128,	0,0,	0,0,	
72,40,	72,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	72,40,	
72,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	72,40,	0,0,	
0,0,	72,40,	72,40,	72,40,	
0,0,	72,128,	0,0,	0,0,	
72,40,	72,40,	73,40,	73,40,	
73,40,	73,40,	73,40,	73,40,	
73,40,	73,40,	73,40,	73,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	73,129,	
73,40,	73,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	73,40,	
0,0,	0,0,	73,40,	73,40,	
73,40,	0,0,	0,0,	0,0,	
0,0,	73,40,	73,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	73,129,	
73,40,	73,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	73,40,	
0,0,	0,0,	73,40,	73,40,	
73,40,	0,0,	0,0,	0,0,	
0,0,	73,40,	73,40,	99,40,	
99,40,	99,40,	99,40,	99,40,	
99,40,	99,40,	99,40,	99,40,	
99,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	99,40,	99,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
99,40,	0,0,	0,0,	99,40,	
99,40,	99,40,	0,0,	0,0,	
0,0,	0,0,	99,40,	99,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	99,40,	99,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
99,40,	0,0,	0,0,	99,40,	
99,40,	99,40,	0,0,	0,0,	
0,0,	0,0,	99,40,	99,40,	
100,40,	100,40,	100,40,	100,40,	
100,40,	100,40,	100,40,	100,40,	
100,40,	100,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	100,40,	100,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	100,40,	0,0,	0,0,	
100,40,	100,40,	100,40,	0,0,	
0,0,	0,0,	0,0,	100,154,	
100,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	100,40,	100,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	100,40,	0,0,	0,0,	
100,40,	100,40,	100,40,	0,0,	
0,0,	0,0,	0,0,	100,154,	
100,40,	101,40,	101,40,	101,40,	
101,40,	101,40,	101,40,	101,40,	
101,40,	101,40,	101,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	101,40,	
101,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	101,40,	0,0,	
0,0,	101,40,	101,40,	101,40,	
0,0,	0,0,	0,0,	0,0,	
101,40,	101,155,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	101,40,	
101,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	101,40,	0,0,	
0,0,	101,40,	101,40,	101,40,	
0,0,	0,0,	0,0,	0,0,	
101,40,	101,155,	102,40,	102,40,	
102,40,	102,40,	102,40,	102,40,	
102,40,	102,40,	102,40,	102,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
102,40,	102,40,	0,0,	0,0,	
0,0,	102,156,	0,0,	102,40,	
0,0,	0,0,	102,40,	102,40,	
102,40,	0,0,	0,0,	0,0,	
0,0,	102,40,	102,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
102,40,	102,40,	0,0,	0,0,	
0,0,	102,156,	0,0,	102,40,	
0,0,	0,0,	102,40,	102,40,	
102,40,	0,0,	0,0,	0,0,	
0,0,	102,40,	102,40,	103,40,	
103,40,	103,40,	103,40,	103,40,	
103,40,	103,40,	103,40,	103,40,	
103,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	103,40,	103,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
103,40,	0,0,	0,0,	103,40,	
103,40,	103,40,	0,0,	0,0,	
0,0,	0,0,	103,40,	103,40,	
0,0,	0,0,	0,0,	103,157,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	103,40,	103,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
103,40,	0,0,	0,0,	103,40,	
103,40,	103,40,	0,0,	0,0,	
0,0,	0,0,	103,40,	103,40,	
0,0,	0,0,	0,0,	103,157,	
104,40,	104,40,	104,40,	104,40,	
104,40,	104,40,	104,40,	104,40,	
104,40,	104,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	104,40,	104,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	104,40,	0,0,	0,0,	
104,40,	104,40,	104,158,	0,0,	
0,0,	0,0,	0,0,	104,40,	
104,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	104,40,	104,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	104,40,	0,0,	0,0,	
104,40,	104,40,	104,158,	0,0,	
0,0,	0,0,	0,0,	104,40,	
104,40,	105,40,	105,40,	105,40,	
105,40,	105,40,	105,40,	105,40,	
105,40,	105,40,	105,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	105,40,	
105,40,	105,159,	0,0,	0,0,	
0,0,	0,0,	105,40,	0,0,	
0,0,	105,40,	105,40,	105,40,	
0,0,	0,0,	0,0,	0,0,	
105,40,	105,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	105,40,	
105,40,	105,159,	0,0,	0,0,	
0,0,	0,0,	105,40,	0,0,	
0,0,	105,40,	105,40,	105,40,	
0,0,	0,0,	0,0,	0,0,	
105,40,	105,40,	106,40,	106,40,	
106,40,	106,40,	106,40,	106,40,	
106,40,	106,40,	106,40,	106,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
106,40,	106,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	106,40,	
0,0,	0,0,	106,40,	106,40,	
106,160,	0,0,	0,0,	0,0,	
0,0,	106,40,	106,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
106,40,	106,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	106,40,	
0,0,	0,0,	106,40,	106,40,	
106,160,	0,0,	0,0,	0,0,	
0,0,	106,40,	106,40,	107,40,	
107,40,	107,40,	107,40,	107,40,	
107,40,	107,40,	107,40,	107,40,	
107,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	107,40,	107,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
107,40,	0,0,	0,0,	107,40,	
107,40,	107,161,	0,0,	0,0,	
0,0,	0,0,	107,40,	107,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	107,40,	107,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
107,40,	0,0,	0,0,	107,40,	
107,40,	107,161,	0,0,	0,0,	
0,0,	0,0,	107,40,	107,40,	
108,40,	108,40,	108,40,	108,40,	
108,40,	108,40,	108,40,	108,40,	
108,40,	108,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	108,40,	108,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	108,40,	0,0,	0,0,	
108,40,	108,40,	108,162,	0,0,	
0,0,	0,0,	0,0,	108,40,	
108,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	108,40,	108,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	108,40,	0,0,	0,0,	
108,40,	108,40,	108,162,	0,0,	
0,0,	0,0,	0,0,	108,40,	
108,40,	109,40,	109,40,	109,40,	
109,40,	109,40,	109,40,	109,40,	
109,40,	109,40,	109,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	109,40,	
109,40,	0,0,	0,0,	0,0,	
0,0,	109,163,	109,40,	0,0,	
0,0,	109,40,	109,40,	109,40,	
0,0,	0,0,	0,0,	0,0,	
109,40,	109,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	109,40,	
109,40,	0,0,	0,0,	0,0,	
0,0,	109,163,	109,40,	0,0,	
0,0,	109,40,	109,40,	109,40,	
0,0,	0,0,	0,0,	0,0,	
109,40,	109,40,	110,40,	110,40,	
110,40,	110,40,	110,40,	110,40,	
110,40,	110,40,	110,40,	110,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
110,40,	110,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	110,40,	
0,0,	0,0,	110,40,	110,40,	
110,40,	0,0,	0,0,	0,0,	
0,0,	110,40,	110,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
110,40,	110,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	110,40,	
0,0,	0,0,	110,40,	110,40,	
110,40,	0,0,	0,0,	0,0,	
0,0,	110,40,	110,40,	111,40,	
111,40,	111,40,	111,40,	111,40,	
111,40,	111,40,	111,40,	111,40,	
111,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	111,40,	111,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
111,40,	0,0,	0,0,	111,40,	
111,40,	111,40,	0,0,	0,0,	
0,0,	0,0,	111,40,	111,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	111,40,	111,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
111,40,	0,0,	0,0,	111,40,	
111,40,	111,40,	0,0,	0,0,	
0,0,	0,0,	111,40,	111,40,	
112,40,	112,40,	112,40,	112,40,	
112,40,	112,40,	112,40,	112,40,	
112,40,	112,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	112,164,	112,40,	112,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	112,40,	0,0,	0,0,	
112,40,	112,40,	112,40,	0,0,	
0,0,	0,0,	0,0,	112,40,	
112,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	112,164,	112,40,	112,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	112,40,	0,0,	0,0,	
112,40,	112,40,	112,40,	0,0,	
0,0,	0,0,	0,0,	112,40,	
112,40,	113,40,	113,40,	113,40,	
113,40,	113,40,	113,40,	113,40,	
113,40,	113,40,	113,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	113,40,	
113,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	113,40,	0,0,	
0,0,	113,40,	113,40,	113,40,	
0,0,	0,0,	0,0,	0,0,	
113,40,	113,40,	0,0,	0,0,	
0,0,	113,165,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	113,40,	
113,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	113,40,	0,0,	
0,0,	113,40,	113,40,	113,40,	
0,0,	0,0,	0,0,	0,0,	
113,40,	113,40,	0,0,	0,0,	
0,0,	113,165,	114,40,	114,40,	
114,40,	114,40,	114,40,	114,40,	
114,40,	114,40,	114,40,	114,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
114,40,	114,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	114,40,	
0,0,	0,0,	114,40,	114,40,	
114,40,	0,0,	0,0,	0,0,	
0,0,	114,40,	114,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
114,40,	114,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	114,40,	
0,0,	0,0,	114,40,	114,40,	
114,40,	0,0,	0,0,	0,0,	
0,0,	114,40,	114,40,	115,40,	
115,40,	115,40,	115,40,	115,40,	
115,40,	115,40,	115,40,	115,40,	
115,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	115,40,	115,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
115,40,	0,0,	0,0,	115,40,	
115,40,	115,40,	0,0,	0,0,	
0,0,	0,0,	115,40,	115,166,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	115,40,	115,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
115,40,	0,0,	0,0,	115,40,	
115,40,	115,40,	0,0,	0,0,	
0,0,	0,0,	115,40,	115,166,	
116,40,	116,40,	116,40,	116,40,	
116,40,	116,40,	116,40,	116,40,	
116,40,	116,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	116,40,	116,40,	
116,167,	0,0,	0,0,	0,0,	
0,0,	116,40,	0,0,	0,0,	
116,40,	116,40,	116,40,	0,0,	
0,0,	0,0,	0,0,	116,40,	
116,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	116,40,	116,40,	
116,167,	0,0,	0,0,	0,0,	
0,0,	116,40,	0,0,	0,0,	
116,40,	116,40,	116,40,	0,0,	
0,0,	0,0,	0,0,	116,40,	
116,40,	117,40,	117,40,	117,40,	
117,40,	117,40,	117,40,	117,40,	
117,40,	117,40,	117,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	117,40,	
117,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	117,40,	0,0,	
0,0,	117,40,	117,40,	117,168,	
0,0,	0,0,	0,0,	0,0,	
117,40,	117,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	117,40,	
117,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	117,40,	0,0,	
0,0,	117,40,	117,40,	117,168,	
0,0,	0,0,	0,0,	0,0,	
117,40,	117,40,	118,40,	118,40,	
118,40,	118,40,	118,40,	118,40,	
118,40,	118,40,	118,40,	118,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
118,40,	118,40,	0,0,	0,0,	
0,0,	0,0,	118,169,	118,40,	
0,0,	0,0,	118,40,	118,40,	
118,40,	0,0,	0,0,	0,0,	
0,0,	118,40,	118,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
118,40,	118,40,	0,0,	0,0,	
0,0,	0,0,	118,169,	118,40,	
0,0,	0,0,	118,40,	118,40,	
118,40,	0,0,	0,0,	0,0,	
0,0,	118,40,	118,40,	119,40,	
119,40,	119,40,	119,40,	119,40,	
119,40,	119,40,	119,40,	119,40,	
119,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	119,40,	119,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
119,40,	0,0,	0,0,	119,170,	
119,40,	119,40,	0,0,	0,0,	
0,0,	0,0,	119,40,	119,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	119,40,	119,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
119,40,	0,0,	0,0,	119,170,	
119,40,	119,40,	0,0,	0,0,	
0,0,	0,0,	119,40,	119,40,	
120,40,	120,40,	120,40,	120,40,	
120,40,	120,40,	120,40,	120,40,	
120,40,	120,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	120,40,	120,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	120,40,	0,0,	0,0,	
120,40,	120,40,	120,40,	0,0,	
0,0,	0,0,	0,0,	120,40,	
120,171,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	120,40,	120,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	120,40,	0,0,	0,0,	
120,40,	120,40,	120,40,	0,0,	
0,0,	0,0,	0,0,	120,40,	
120,171,	121,40,	121,40,	121,40,	
121,40,	121,40,	121,40,	121,40,	
121,40,	121,40,	121,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	121,40,	
121,40,	0,0,	0,0,	0,0,	
0,0,	121,172,	121,40,	0,0,	
0,0,	121,40,	121,40,	121,40,	
0,0,	0,0,	0,0,	0,0,	
121,40,	121,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	121,40,	
121,40,	127,70,	127,70,	0,0,	
0,0,	121,172,	121,40,	0,0,	
0,0,	121,40,	121,40,	121,40,	
0,0,	0,0,	0,0,	0,0,	
121,40,	121,40,	127,70,	127,70,	
127,70,	127,70,	127,70,	127,70,	
127,70,	127,178,	127,70,	127,70,	
0,0,	127,70,	127,70,	127,70,	
127,70,	127,70,	127,70,	127,70,	
127,70,	127,70,	0,0,	127,70,	
0,0,	127,70,	128,40,	128,40,	
128,40,	128,40,	128,40,	128,40,	
128,40,	128,40,	128,40,	128,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
128,40,	128,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	128,40,	
0,0,	0,0,	128,179,	128,40,	
128,40,	0,0,	0,0,	0,0,	
0,0,	128,40,	128,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
128,40,	128,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	128,40,	
0,0,	0,0,	128,179,	128,40,	
128,40,	0,0,	0,0,	0,0,	
0,0,	128,40,	128,40,	129,40,	
129,40,	129,40,	129,40,	129,40,	
129,40,	129,40,	129,40,	129,40,	
129,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	129,40,	129,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
129,40,	0,0,	0,0,	129,180,	
129,40,	129,40,	0,0,	0,0,	
0,0,	0,0,	129,40,	129,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	129,40,	129,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
129,40,	0,0,	0,0,	129,180,	
129,40,	129,40,	0,0,	0,0,	
0,0,	0,0,	129,40,	129,40,	
154,40,	154,40,	154,40,	154,40,	
154,40,	154,40,	154,40,	154,40,	
154,40,	154,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	154,40,	154,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	154,40,	0,0,	0,0,	
154,40,	154,40,	154,40,	0,0,	
0,0,	0,0,	0,0,	154,40,	
154,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	154,40,	154,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	154,40,	0,0,	0,0,	
154,40,	154,40,	154,40,	0,0,	
0,0,	0,0,	0,0,	154,40,	
154,40,	155,40,	155,40,	155,40,	
155,40,	155,40,	155,40,	155,40,	
155,40,	155,40,	155,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	155,40,	
155,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	155,40,	0,0,	
0,0,	155,40,	155,40,	155,40,	
0,0,	0,0,	0,0,	0,0,	
155,40,	155,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	155,40,	
155,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	155,40,	0,0,	
0,0,	155,40,	155,40,	155,40,	
0,0,	0,0,	0,0,	0,0,	
155,40,	155,40,	156,40,	156,194,	
156,40,	156,40,	156,40,	156,40,	
156,40,	156,40,	156,40,	156,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
156,40,	156,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	156,40,	
0,0,	0,0,	156,40,	156,40,	
156,40,	0,0,	0,0,	0,0,	
0,0,	156,40,	156,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
156,40,	156,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	156,40,	
0,0,	0,0,	156,40,	156,40,	
156,40,	0,0,	0,0,	0,0,	
0,0,	156,40,	156,40,	157,195,	
157,196,	157,40,	157,40,	157,40,	
157,40,	157,40,	157,40,	157,40,	
157,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	157,40,	157,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
157,40,	0,0,	0,0,	157,40,	
157,40,	157,40,	0,0,	0,0,	
0,0,	0,0,	157,40,	157,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	157,40,	157,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
157,40,	0,0,	0,0,	157,40,	
157,40,	157,40,	0,0,	0,0,	
0,0,	0,0,	157,40,	157,40,	
158,197,	158,198,	158,40,	158,40,	
158,40,	158,40,	158,40,	158,40,	
158,40,	158,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	158,40,	158,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	158,40,	0,0,	0,0,	
158,40,	158,40,	158,40,	0,0,	
0,0,	0,0,	0,0,	158,40,	
158,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	158,40,	158,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	158,40,	0,0,	0,0,	
158,40,	158,40,	158,40,	0,0,	
0,0,	0,0,	0,0,	158,40,	
158,40,	159,40,	159,40,	159,40,	
159,40,	159,40,	159,40,	159,40,	
159,40,	159,40,	159,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	159,40,	
159,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	159,40,	0,0,	
0,0,	159,40,	159,40,	159,40,	
0,0,	0,0,	0,0,	0,0,	
159,40,	159,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	159,40,	
159,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	159,40,	0,0,	
0,0,	159,40,	159,40,	159,40,	
0,0,	0,0,	0,0,	0,0,	
159,40,	159,40,	160,40,	160,40,	
160,40,	160,40,	160,40,	160,40,	
160,40,	160,40,	160,40,	160,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
160,40,	160,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	160,40,	
0,0,	0,0,	160,40,	160,40,	
160,40,	0,0,	0,0,	0,0,	
0,0,	160,40,	160,199,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
160,40,	160,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	160,40,	
0,0,	0,0,	160,40,	160,40,	
160,40,	0,0,	0,0,	0,0,	
0,0,	160,40,	160,199,	161,40,	
161,40,	161,40,	161,40,	161,40,	
161,40,	161,40,	161,40,	161,40,	
161,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	161,40,	161,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
161,40,	0,0,	0,0,	161,40,	
161,40,	161,40,	0,0,	0,0,	
0,0,	0,0,	161,40,	161,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	161,40,	161,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
161,40,	0,0,	0,0,	161,40,	
161,40,	161,40,	0,0,	0,0,	
0,0,	0,0,	161,40,	161,40,	
162,40,	162,40,	162,200,	162,40,	
162,40,	162,40,	162,40,	162,40,	
162,40,	162,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	162,40,	162,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	162,40,	0,0,	0,0,	
162,40,	162,40,	162,40,	0,0,	
0,0,	0,0,	0,0,	162,40,	
162,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	162,40,	162,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	162,40,	0,0,	0,0,	
162,40,	162,40,	162,40,	0,0,	
0,0,	0,0,	0,0,	162,40,	
162,40,	163,40,	163,40,	163,40,	
163,40,	163,40,	163,40,	163,40,	
163,40,	163,40,	163,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	163,40,	
163,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	163,40,	0,0,	
0,0,	163,40,	163,40,	163,40,	
0,0,	0,0,	0,0,	0,0,	
163,40,	163,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	163,40,	
163,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	163,40,	0,0,	
0,0,	163,40,	163,40,	163,40,	
0,0,	0,0,	0,0,	0,0,	
163,40,	163,40,	164,40,	164,40,	
164,40,	164,40,	164,40,	164,40,	
164,40,	164,40,	164,40,	164,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
164,40,	164,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	164,40,	
0,0,	0,0,	164,40,	164,40,	
164,40,	0,0,	0,0,	0,0,	
0,0,	164,40,	164,201,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
164,40,	164,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	164,40,	
0,0,	0,0,	164,40,	164,40,	
164,40,	0,0,	0,0,	0,0,	
0,0,	164,40,	164,201,	165,40,	
165,40,	165,40,	165,40,	165,40,	
165,40,	165,40,	165,40,	165,40,	
165,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	165,40,	165,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
165,40,	0,0,	0,0,	165,40,	
165,40,	165,40,	0,0,	0,0,	
0,0,	0,0,	165,40,	165,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	165,40,	165,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
165,40,	0,0,	0,0,	165,40,	
165,40,	165,40,	0,0,	0,0,	
0,0,	0,0,	165,40,	165,40,	
166,40,	166,40,	166,40,	166,40,	
166,40,	166,40,	166,40,	166,40,	
166,40,	166,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	166,40,	166,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	166,40,	0,0,	0,0,	
166,40,	166,40,	166,40,	0,0,	
0,0,	0,0,	0,0,	166,40,	
166,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	166,40,	166,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	166,40,	0,0,	0,0,	
166,40,	166,40,	166,40,	0,0,	
0,0,	0,0,	0,0,	166,40,	
166,40,	167,40,	167,40,	167,40,	
167,40,	167,40,	167,40,	167,40,	
167,40,	167,40,	167,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	167,40,	
167,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	167,40,	0,0,	
0,0,	167,40,	167,40,	167,40,	
0,0,	0,0,	0,0,	0,0,	
167,40,	167,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	167,40,	
167,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	167,40,	0,0,	
0,0,	167,40,	167,40,	167,40,	
0,0,	0,0,	0,0,	0,0,	
167,40,	167,40,	168,40,	168,40,	
168,40,	168,40,	168,40,	168,40,	
168,40,	168,40,	168,40,	168,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
168,40,	168,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	168,40,	
0,0,	0,0,	168,40,	168,40,	
168,40,	0,0,	0,0,	0,0,	
0,0,	168,40,	168,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
168,40,	168,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	168,40,	
0,0,	0,0,	168,40,	168,40,	
168,40,	0,0,	0,0,	0,0,	
0,0,	168,40,	168,40,	169,40,	
169,40,	169,40,	169,40,	169,40,	
169,40,	169,40,	169,40,	169,40,	
169,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	169,40,	169,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
169,40,	0,0,	0,0,	169,40,	
169,40,	169,40,	0,0,	0,0,	
0,0,	0,0,	169,40,	169,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	169,40,	169,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
169,40,	0,0,	0,0,	169,40,	
169,40,	169,40,	0,0,	0,0,	
0,0,	0,0,	169,40,	169,40,	
170,40,	170,40,	170,40,	170,40,	
170,40,	170,40,	170,40,	170,40,	
170,40,	170,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	170,40,	170,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	170,40,	0,0,	0,0,	
170,40,	170,40,	170,40,	0,0,	
0,0,	0,0,	0,0,	170,40,	
170,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	170,40,	170,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	170,40,	0,0,	0,0,	
170,40,	170,40,	170,40,	0,0,	
0,0,	0,0,	0,0,	170,40,	
170,40,	171,40,	171,40,	171,40,	
171,40,	171,40,	171,40,	171,40,	
171,40,	171,40,	171,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	171,40,	
171,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	171,40,	0,0,	
0,0,	171,40,	171,40,	171,40,	
0,0,	0,0,	0,0,	0,0,	
171,40,	171,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	171,40,	
171,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	171,40,	0,0,	
0,0,	171,40,	171,40,	171,40,	
0,0,	0,0,	0,0,	0,0,	
171,40,	171,40,	172,40,	172,40,	
172,40,	172,40,	172,40,	172,40,	
172,40,	172,40,	172,40,	172,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
172,40,	172,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	172,40,	
0,0,	0,0,	172,40,	172,40,	
172,40,	0,0,	0,0,	0,0,	
0,0,	172,40,	172,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
172,40,	172,40,	178,70,	178,70,	
0,0,	0,0,	0,0,	172,40,	
0,0,	0,0,	172,40,	172,40,	
172,40,	0,0,	0,0,	0,0,	
0,0,	172,40,	172,40,	178,70,	
178,70,	178,70,	178,70,	178,70,	
178,70,	178,70,	178,70,	178,70,	
178,70,	0,0,	178,70,	178,70,	
178,70,	178,70,	178,70,	178,70,	
178,70,	178,70,	178,70,	0,0,	
178,70,	0,0,	178,70,	179,40,	
179,40,	179,40,	179,40,	179,40,	
179,40,	179,40,	179,40,	179,40,	
179,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	179,40,	179,40,	0,0,	
0,0,	0,0,	180,207,	0,0,	
179,206,	0,0,	0,0,	179,40,	
179,40,	179,40,	180,207,	180,207,	
0,0,	0,0,	179,40,	179,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	179,40,	179,40,	0,0,	
0,0,	180,207,	0,0,	0,0,	
179,206,	0,0,	0,0,	179,40,	
179,40,	179,40,	0,0,	180,208,	
180,207,	0,0,	179,40,	179,40,	
0,0,	180,209,	180,209,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	180,40,	180,40,	
180,40,	180,40,	180,40,	180,40,	
180,40,	180,40,	180,40,	180,40,	
0,0,	180,40,	180,40,	180,40,	
180,40,	180,40,	180,40,	180,40,	
180,40,	180,40,	0,0,	180,40,	
0,0,	180,40,	194,212,	194,40,	
194,40,	194,40,	194,40,	194,40,	
194,40,	194,40,	194,40,	194,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
194,40,	194,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	194,40,	
0,0,	0,0,	194,40,	194,40,	
194,40,	0,0,	0,0,	0,0,	
0,0,	194,40,	194,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
194,40,	194,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	194,40,	
0,0,	0,0,	194,40,	194,40,	
194,40,	0,0,	0,0,	0,0,	
0,0,	194,40,	194,40,	195,40,	
195,40,	195,40,	195,40,	195,40,	
195,40,	195,40,	195,40,	195,40,	
195,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	195,40,	195,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
195,40,	0,0,	0,0,	195,40,	
195,40,	195,40,	0,0,	0,0,	
0,0,	0,0,	195,40,	195,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	195,40,	195,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
195,40,	0,0,	0,0,	195,40,	
195,40,	195,40,	0,0,	0,0,	
0,0,	0,0,	195,40,	195,40,	
196,40,	196,40,	196,40,	196,40,	
196,40,	196,40,	196,40,	196,40,	
196,40,	196,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	196,40,	196,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	196,40,	0,0,	0,0,	
196,40,	196,40,	196,40,	0,0,	
0,0,	0,0,	0,0,	196,40,	
196,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	196,40,	196,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	196,40,	0,0,	0,0,	
196,40,	196,40,	196,40,	0,0,	
0,0,	0,0,	0,0,	196,40,	
196,40,	197,40,	197,40,	197,40,	
197,40,	197,40,	197,40,	197,40,	
197,40,	197,40,	197,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	197,40,	
197,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	197,40,	0,0,	
0,0,	197,40,	197,40,	197,40,	
0,0,	0,0,	0,0,	0,0,	
197,40,	197,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	197,40,	
197,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	197,40,	0,0,	
0,0,	197,40,	197,40,	197,40,	
0,0,	0,0,	0,0,	0,0,	
197,40,	197,40,	198,40,	198,40,	
198,40,	198,40,	198,40,	198,40,	
198,40,	198,40,	198,40,	198,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
198,40,	198,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	198,40,	
0,0,	0,0,	198,40,	198,40,	
198,40,	0,0,	0,0,	0,0,	
0,0,	198,40,	198,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
198,40,	198,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	198,40,	
0,0,	0,0,	198,40,	198,40,	
198,40,	0,0,	0,0,	0,0,	
0,0,	198,40,	198,40,	199,40,	
199,40,	199,40,	199,40,	199,40,	
199,40,	199,40,	199,40,	199,40,	
199,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	199,40,	199,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
199,40,	0,0,	0,0,	199,40,	
199,40,	199,40,	0,0,	0,0,	
0,0,	0,0,	199,40,	199,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	199,40,	199,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
199,40,	0,0,	0,0,	199,40,	
199,40,	199,40,	0,0,	0,0,	
0,0,	0,0,	199,40,	199,40,	
200,40,	200,40,	200,40,	200,40,	
200,40,	200,40,	200,40,	200,40,	
200,40,	200,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	200,40,	200,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	200,40,	0,0,	0,0,	
200,40,	200,40,	200,40,	0,0,	
0,0,	0,0,	0,0,	200,40,	
200,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	200,40,	200,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	200,40,	0,0,	0,0,	
200,40,	200,40,	200,40,	0,0,	
0,0,	0,0,	0,0,	200,40,	
200,40,	201,40,	201,40,	201,40,	
201,40,	201,40,	201,40,	201,40,	
201,40,	201,40,	201,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	201,40,	
201,40,	0,0,	0,0,	0,0,	
203,207,	0,0,	201,40,	0,0,	
0,0,	201,40,	201,40,	201,40,	
203,207,	203,207,	0,0,	0,0,	
201,40,	201,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	201,40,	
201,40,	0,0,	0,0,	203,207,	
0,0,	0,0,	201,40,	0,0,	
0,0,	201,40,	201,40,	201,40,	
0,0,	203,208,	203,207,	0,0,	
201,40,	201,40,	0,0,	203,207,	
203,207,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	203,0,	203,0,	
203,0,	203,0,	204,214,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	204,215,	204,214,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	204,61,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	204,214,	
204,214,	0,0,	0,0,	0,0,	
0,0,	204,0,	204,214,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	204,214,	204,214,	
204,214,	204,214,	204,214,	204,214,	
204,214,	204,214,	204,216,	204,214,	
0,0,	204,214,	204,214,	204,214,	
204,214,	204,214,	204,214,	204,217,	
204,214,	204,214,	0,0,	204,214,	
0,0,	204,214,	206,40,	206,40,	
206,40,	206,40,	206,40,	206,40,	
206,40,	206,40,	206,40,	206,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
206,40,	206,218,	0,0,	0,0,	
0,0,	0,0,	0,0,	206,40,	
0,0,	0,0,	206,40,	206,40,	
206,40,	0,0,	0,0,	0,0,	
0,0,	206,40,	206,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
206,40,	206,218,	0,0,	0,0,	
0,0,	0,0,	0,0,	206,40,	
0,0,	0,0,	206,40,	206,40,	
206,40,	0,0,	0,0,	0,0,	
0,0,	206,40,	206,40,	209,40,	
209,40,	209,40,	209,40,	209,40,	
209,40,	209,40,	209,40,	209,40,	
209,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	209,40,	209,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
209,40,	0,0,	0,0,	209,40,	
209,40,	209,40,	0,0,	0,0,	
0,0,	0,0,	209,40,	209,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	209,40,	209,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
209,40,	0,0,	0,0,	209,40,	
209,40,	209,40,	0,0,	0,0,	
0,0,	0,0,	209,40,	209,40,	
212,40,	212,40,	212,40,	212,40,	
212,40,	212,40,	212,40,	212,40,	
212,40,	212,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	212,40,	212,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	212,40,	0,0,	0,0,	
212,40,	212,40,	212,40,	0,0,	
0,0,	0,0,	0,0,	212,40,	
212,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	212,40,	212,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	212,40,	0,0,	0,0,	
212,40,	212,40,	212,40,	0,0,	
0,0,	0,0,	0,0,	212,40,	
212,40,	218,40,	218,40,	218,40,	
218,40,	218,40,	218,40,	218,40,	
218,40,	218,40,	218,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	218,40,	
218,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	218,223,	0,0,	
0,0,	218,40,	218,40,	218,40,	
0,0,	0,0,	0,0,	0,0,	
218,40,	218,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	218,40,	
218,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	218,223,	0,0,	
0,0,	218,40,	218,40,	218,40,	
0,0,	0,0,	0,0,	0,0,	
218,40,	218,40,	223,40,	223,40,	
223,40,	223,40,	223,40,	223,40,	
223,40,	223,40,	223,40,	223,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
223,40,	223,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	223,40,	
0,0,	0,0,	223,40,	223,40,	
223,40,	225,226,	0,0,	0,0,	
0,0,	223,40,	223,225,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
223,40,	223,40,	0,0,	0,0,	
225,226,	0,0,	0,0,	223,40,	
0,0,	0,0,	223,40,	223,40,	
223,40,	0,0,	0,0,	0,0,	
0,0,	223,40,	223,225,	0,0,	
225,40,	225,40,	225,40,	225,40,	
225,40,	225,40,	225,40,	225,40,	
225,40,	225,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	225,40,	225,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	225,40,	0,0,	0,0,	
225,40,	225,40,	225,40,	0,0,	
0,0,	0,0,	225,227,	225,40,	
225,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	225,40,	225,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	225,40,	0,0,	0,0,	
225,40,	225,40,	225,40,	0,0,	
0,0,	0,0,	225,227,	225,40,	
225,40,	227,40,	227,40,	227,40,	
227,40,	227,40,	227,40,	227,40,	
227,40,	227,40,	227,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	227,40,	
227,40,	0,0,	227,229,	0,0,	
0,0,	0,0,	227,40,	0,0,	
0,0,	227,40,	227,40,	227,40,	
0,0,	0,0,	0,0,	0,0,	
227,40,	227,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	227,40,	
227,40,	0,0,	227,229,	0,0,	
0,0,	0,0,	227,40,	0,0,	
0,0,	227,40,	227,40,	227,40,	
0,0,	0,0,	0,0,	0,0,	
227,40,	227,40,	229,40,	229,40,	
229,40,	229,40,	229,40,	229,40,	
229,40,	229,40,	229,40,	229,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	229,231,	
229,40,	229,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	229,40,	
0,0,	0,0,	229,40,	229,40,	
229,40,	0,0,	0,0,	0,0,	
0,0,	229,40,	229,40,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	229,231,	
229,40,	229,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	229,40,	
0,0,	0,0,	229,40,	229,40,	
229,40,	0,0,	0,0,	0,0,	
0,0,	229,40,	229,40,	231,40,	
231,40,	231,40,	231,40,	231,40,	
231,40,	231,40,	231,40,	231,40,	
231,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	231,40,	231,40,	0,0,	
0,0,	0,0,	234,235,	0,0,	
231,40,	0,0,	0,0,	231,233,	
231,40,	231,40,	234,235,	234,235,	
0,0,	0,0,	231,40,	231,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	231,40,	231,40,	0,0,	
0,0,	234,235,	0,0,	0,0,	
231,40,	0,0,	0,0,	231,233,	
231,40,	231,40,	0,0,	234,236,	
234,235,	0,0,	231,40,	231,40,	
0,0,	234,235,	234,235,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
234,0,	234,0,	234,0,	234,0,	
237,40,	237,40,	237,40,	237,40,	
237,40,	237,40,	237,40,	237,40,	
237,40,	237,40,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	237,40,	237,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	237,40,	0,0,	0,0,	
237,40,	237,40,	237,40,	0,0,	
0,0,	0,0,	0,0,	237,40,	
237,40,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	237,40,	237,40,	
0,0,	0,0,	0,0,	0,0,	
0,0,	237,40,	0,0,	0,0,	
237,40,	237,40,	237,40,	0,0,	
0,0,	0,0,	0,0,	237,40,	
237,40,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-19,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+54,	0,		yyvstop+5,
yycrank+127,	0,		yyvstop+7,
yycrank+202,	0,		yyvstop+10,
yycrank+259,	yysvec+7,	yyvstop+12,
yycrank+272,	yysvec+7,	yyvstop+14,
yycrank+318,	yysvec+7,	yyvstop+16,
yycrank+331,	yysvec+7,	yyvstop+18,
yycrank+376,	yysvec+7,	yyvstop+20,
yycrank+395,	yysvec+7,	yyvstop+22,
yycrank+440,	yysvec+7,	yyvstop+24,
yycrank+486,	yysvec+7,	yyvstop+26,
yycrank+531,	yysvec+7,	yyvstop+28,
yycrank+583,	yysvec+7,	yyvstop+30,
yycrank+622,	0,		yyvstop+32,
yycrank+44,	0,		yyvstop+35,
yycrank+-696,	0,		yyvstop+37,
yycrank+-737,	yysvec+20,	yyvstop+40,
yycrank+760,	yysvec+7,	yyvstop+43,
yycrank+812,	yysvec+7,	yyvstop+45,
yycrank+882,	0,		yyvstop+47,
yycrank+10,	0,		0,	
yycrank+9,	0,		0,	
yycrank+28,	0,		0,	
yycrank+30,	0,		0,	
yycrank+49,	0,		0,	
yycrank+13,	0,		0,	
yycrank+34,	0,		0,	
yycrank+321,	0,		0,	
yycrank+892,	0,		0,	
yycrank+920,	0,		yyvstop+49,
yycrank+0,	yysvec+6,	yyvstop+51,
yycrank+477,	0,		0,	
yycrank+523,	0,		0,	
yycrank+957,	0,		0,	
yycrank+1048,	yysvec+7,	yyvstop+53,
yycrank+1035,	yysvec+7,	yyvstop+55,
yycrank+1117,	yysvec+7,	yyvstop+57,
yycrank+1186,	yysvec+7,	yyvstop+59,
yycrank+1255,	yysvec+7,	yyvstop+61,
yycrank+1324,	yysvec+7,	yyvstop+63,
yycrank+1393,	yysvec+7,	yyvstop+65,
yycrank+1462,	yysvec+7,	yyvstop+67,
yycrank+1531,	yysvec+7,	yyvstop+69,
yycrank+1600,	yysvec+7,	yyvstop+71,
yycrank+1669,	yysvec+7,	yyvstop+73,
yycrank+1738,	yysvec+7,	yyvstop+75,
yycrank+1807,	yysvec+7,	yyvstop+77,
yycrank+1876,	yysvec+7,	yyvstop+79,
yycrank+1945,	yysvec+7,	yyvstop+81,
yycrank+2014,	yysvec+7,	yyvstop+83,
yycrank+2083,	yysvec+7,	yyvstop+85,
yycrank+2152,	yysvec+7,	yyvstop+87,
yycrank+2221,	yysvec+7,	yyvstop+89,
yycrank+2290,	yysvec+7,	yyvstop+91,
yycrank+2359,	yysvec+7,	yyvstop+93,
yycrank+2428,	yysvec+7,	yyvstop+95,
yycrank+7,	yysvec+19,	0,	
yycrank+0,	0,		yyvstop+97,
yycrank+0,	0,		yyvstop+99,
yycrank+38,	0,		0,	
yycrank+47,	0,		0,	
yycrank+8,	yysvec+19,	0,	
yycrank+0,	yysvec+20,	yyvstop+101,
yycrank+0,	0,		yyvstop+103,
yycrank+-2482,	yysvec+20,	yyvstop+105,
yycrank+-2523,	yysvec+20,	yyvstop+108,
yycrank+-2564,	yysvec+20,	yyvstop+111,
yycrank+2605,	yysvec+7,	yyvstop+114,
yycrank+2674,	yysvec+7,	yyvstop+116,
yycrank+331,	0,		0,	
yycrank+0,	yysvec+24,	0,	
yycrank+568,	0,		0,	
yycrank+53,	0,		0,	
yycrank+48,	0,		0,	
yycrank+8,	0,		0,	
yycrank+9,	0,		0,	
yycrank+10,	0,		0,	
yycrank+11,	0,		0,	
yycrank+54,	0,		0,	
yycrank+40,	0,		0,	
yycrank+12,	0,		0,	
yycrank+55,	0,		0,	
yycrank+659,	yysvec+37,	0,	
yycrank+669,	yysvec+6,	0,	
yycrank+489,	0,		0,	
yycrank+633,	yysvec+34,	yyvstop+118,
yycrank+698,	0,		0,	
yycrank+13,	yysvec+36,	0,	
yycrank+739,	0,		0,	
yycrank+799,	0,		yyvstop+121,
yycrank+14,	yysvec+38,	0,	
yycrank+946,	0,		0,	
yycrank+16,	yysvec+36,	0,	
yycrank+1154,	0,		0,	
yycrank+2743,	yysvec+7,	yyvstop+123,
yycrank+2812,	yysvec+7,	yyvstop+126,
yycrank+2881,	yysvec+7,	yyvstop+128,
yycrank+2950,	yysvec+7,	yyvstop+130,
yycrank+3019,	yysvec+7,	yyvstop+132,
yycrank+3092,	yysvec+7,	yyvstop+134,
yycrank+3161,	yysvec+7,	yyvstop+136,
yycrank+3230,	yysvec+7,	yyvstop+138,
yycrank+3299,	yysvec+7,	yyvstop+140,
yycrank+3368,	yysvec+7,	yyvstop+142,
yycrank+3437,	yysvec+7,	yyvstop+144,
yycrank+3506,	yysvec+7,	yyvstop+147,
yycrank+3575,	yysvec+7,	yyvstop+150,
yycrank+3644,	yysvec+7,	yyvstop+153,
yycrank+3713,	yysvec+7,	yyvstop+155,
yycrank+3786,	yysvec+7,	yyvstop+157,
yycrank+3855,	yysvec+7,	yyvstop+160,
yycrank+3924,	yysvec+7,	yyvstop+162,
yycrank+3993,	yysvec+7,	yyvstop+164,
yycrank+4062,	yysvec+7,	yyvstop+166,
yycrank+4131,	yysvec+7,	yyvstop+169,
yycrank+4200,	yysvec+7,	yyvstop+171,
yycrank+4269,	yysvec+7,	yyvstop+173,
yycrank+58,	0,		0,	
yycrank+74,	0,		0,	
yycrank+20,	yysvec+19,	0,	
yycrank+-140,	yysvec+20,	yyvstop+176,
yycrank+-14,	yysvec+20,	yyvstop+178,
yycrank+-4321,	yysvec+20,	yyvstop+180,
yycrank+4362,	yysvec+7,	yyvstop+184,
yycrank+4431,	yysvec+7,	yyvstop+186,
yycrank+1223,	0,		0,	
yycrank+32,	yysvec+130,	yyvstop+188,
yycrank+45,	0,		0,	
yycrank+0,	0,		yyvstop+190,
yycrank+47,	0,		0,	
yycrank+0,	0,		yyvstop+192,
yycrank+0,	0,		yyvstop+194,
yycrank+0,	0,		yyvstop+196,
yycrank+0,	0,		yyvstop+198,
yycrank+0,	0,		yyvstop+200,
yycrank+50,	0,		0,	
yycrank+52,	0,		0,	
yycrank+0,	0,		yyvstop+202,
yycrank+94,	0,		0,	
yycrank+109,	yysvec+93,	yyvstop+204,
yycrank+792,	0,		0,	
yycrank+803,	yysvec+34,	0,	
yycrank+1292,	0,		0,	
yycrank+1361,	0,		0,	
yycrank+111,	yysvec+148,	yyvstop+206,
yycrank+1430,	0,		0,	
yycrank+1499,	0,		0,	
yycrank+122,	yysvec+96,	0,	
yycrank+120,	yysvec+98,	yyvstop+208,
yycrank+4500,	yysvec+7,	yyvstop+210,
yycrank+4569,	yysvec+7,	yyvstop+213,
yycrank+4638,	yysvec+7,	yyvstop+216,
yycrank+4707,	yysvec+7,	yyvstop+219,
yycrank+4776,	yysvec+7,	yyvstop+221,
yycrank+4845,	yysvec+7,	yyvstop+223,
yycrank+4914,	yysvec+7,	yyvstop+226,
yycrank+4983,	yysvec+7,	yyvstop+228,
yycrank+5052,	yysvec+7,	yyvstop+231,
yycrank+5121,	yysvec+7,	yyvstop+234,
yycrank+5190,	yysvec+7,	yyvstop+237,
yycrank+5259,	yysvec+7,	yyvstop+239,
yycrank+5328,	yysvec+7,	yyvstop+242,
yycrank+5397,	yysvec+7,	yyvstop+245,
yycrank+5466,	yysvec+7,	yyvstop+248,
yycrank+5535,	yysvec+7,	yyvstop+251,
yycrank+5604,	yysvec+7,	yyvstop+254,
yycrank+5673,	yysvec+7,	yyvstop+257,
yycrank+5742,	yysvec+7,	yyvstop+260,
yycrank+110,	0,		0,	
yycrank+111,	0,		0,	
yycrank+129,	yysvec+19,	0,	
yycrank+-330,	yysvec+20,	yyvstop+263,
yycrank+-312,	yysvec+20,	yyvstop+265,
yycrank+-5794,	yysvec+20,	yyvstop+268,
yycrank+5835,	yysvec+7,	yyvstop+272,
yycrank+-5905,	0,		yyvstop+274,
yycrank+131,	yysvec+130,	0,	
yycrank+0,	0,		yyvstop+277,
yycrank+0,	0,		yyvstop+279,
yycrank+0,	0,		yyvstop+281,
yycrank+0,	0,		yyvstop+283,
yycrank+0,	0,		yyvstop+285,
yycrank+153,	yysvec+93,	0,	
yycrank+1568,	0,		0,	
yycrank+158,	yysvec+188,	yyvstop+287,
yycrank+159,	yysvec+148,	0,	
yycrank+188,	yysvec+96,	0,	
yycrank+1637,	0,		0,	
yycrank+189,	yysvec+98,	0,	
yycrank+5946,	yysvec+7,	yyvstop+290,
yycrank+6015,	yysvec+7,	yyvstop+292,
yycrank+6084,	yysvec+7,	yyvstop+295,
yycrank+6153,	yysvec+7,	yyvstop+298,
yycrank+6222,	yysvec+7,	yyvstop+301,
yycrank+6291,	yysvec+7,	yyvstop+304,
yycrank+6360,	yysvec+7,	yyvstop+307,
yycrank+6429,	yysvec+7,	yyvstop+310,
yycrank+188,	0,		0,	
yycrank+-6499,	0,		yyvstop+313,
yycrank+-6621,	0,		0,	
yycrank+-418,	yysvec+20,	yyvstop+315,
yycrank+6662,	yysvec+7,	yyvstop+317,
yycrank+0,	0,		yyvstop+319,
yycrank+208,	0,		0,	
yycrank+6731,	yysvec+7,	yyvstop+321,
yycrank+190,	yysvec+188,	0,	
yycrank+191,	yysvec+192,	yyvstop+324,
yycrank+6800,	yysvec+7,	yyvstop+326,
yycrank+195,	0,		0,	
yycrank+0,	0,		yyvstop+329,
yycrank+231,	yysvec+19,	yyvstop+331,
yycrank+0,	yysvec+64,	yyvstop+333,
yycrank+0,	yysvec+65,	yyvstop+335,
yycrank+6869,	yysvec+7,	yyvstop+337,
yycrank+0,	0,		yyvstop+339,
yycrank+0,	0,		yyvstop+341,
yycrank+233,	yysvec+192,	0,	
yycrank+193,	0,		0,	
yycrank+6938,	yysvec+7,	yyvstop+343,
yycrank+211,	0,		0,	
yycrank+7008,	yysvec+7,	yyvstop+345,
yycrank+426,	0,		0,	
yycrank+7077,	yysvec+7,	yyvstop+347,
yycrank+227,	0,		0,	
yycrank+7146,	yysvec+7,	yyvstop+349,
yycrank+232,	0,		0,	
yycrank+7215,	yysvec+7,	yyvstop+351,
yycrank+257,	0,		0,	
yycrank+-2576,	yysvec+180,	yyvstop+353,
yycrank+-7285,	0,		yyvstop+356,
yycrank+0,	0,		yyvstop+358,
yycrank+354,	0,		0,	
yycrank+7360,	yysvec+7,	yyvstop+360,
yycrank+0,	0,		yyvstop+363,
yycrank+0,	0,		yyvstop+365,
0,	0,	0};
struct yywork *yytop = yycrank+7476;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
040 ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,'*' ,'+' ,01  ,'+' ,01  ,01  ,
'0' ,'1' ,'1' ,'1' ,'1' ,'1' ,'1' ,'1' ,
'1' ,'1' ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'B' ,'C' ,'D' ,'E' ,'F' ,'G' ,
'H' ,'I' ,'J' ,'J' ,'L' ,'M' ,'N' ,'O' ,
'P' ,'Q' ,'R' ,'S' ,'T' ,'J' ,'V' ,'J' ,
'X' ,'J' ,'J' ,01  ,01  ,01  ,01  ,01  ,
01  ,'A' ,'B' ,'C' ,'D' ,'E' ,'F' ,'G' ,
'H' ,'I' ,'J' ,'J' ,'L' ,'M' ,'N' ,'O' ,
'P' ,'Q' ,'R' ,'S' ,'T' ,'J' ,'V' ,'J' ,
'X' ,'J' ,'J' ,01  ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,1,0,0,0,0,0,1,
0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
#ifndef lint
static	char ncform_sccsid[] = "@(#)ncform 1.6 88/02/08 SMI"; /* from S5R2 1.2 */
#endif

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
